API ReferenceArtifacts
Get several artifacts by id
Authorization
BearerAuth AuthorizationBearer <token>
MagickMind API key (mm_...) or user JWT, sent as Authorization: Bearer <token>. /v1/chat/completions accepts an API key only. JWTs (not mm_ keys) may alternatively be passed as a ?token= query parameter.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/artifacts/batch" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "string" ] }'{ "artifacts": [ { "bucket": "string", "checksum_sha256": "string", "content_type": "string", "created_at": "string", "created_by": "string", "deleted_at": "string", "deleted_by": "string", "end_user_id": "string", "error_code": "string", "etag": "string", "id": "string", "key": "string", "original_filename": "string", "s3_url": "string", "scope_id": "string", "scope_type": "string", "size_bytes": 0, "status": "string", "tenant_id": "string", "updated_at": "string", "updated_by": "string" } ]}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}